diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_add.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_add.py
index 3686da4b..af29cf72 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_add.py
@@ -11,53 +11,68 @@ from __future__ import print_function
 
 import json
 
+import pytest
+from grappa import should
+
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as fdw_utils
 
 
-class FDWDAddTestCase(BaseTestGenerator):
-    """ This class will add foreign data wrappers under database node. """
-    skip_on_database = ['gpdb']
-
-    scenarios = [
-        # Fetching default URL for foreign_data_wrapper node.
-        ('Check FDW Node',
-         dict(url='/browser/foreign_data_wrapper/obj/'))
-    ]
-
-    def setUp(self):
-        """ This function will create extension."""
-        super(FDWDAddTestCase, self).setUp()
-
-        self.schema_data = parent_node_dict['schema'][-1]
-        self.server_id = self.schema_data['server_id']
-        self.db_id = self.schema_data['db_id']
-        self.schema_name = self.schema_data['schema_name']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-
-    def runTest(self):
-        """This function will add foreign data wrapper under test database."""
-        db_con = database_utils.connect_database(self,
-                                                 utils.SERVER_GROUP,
-                                                 self.server_id,
-                                                 self.db_id)
-        if not db_con["info"] == "Database connected.":
-            raise Exception("Could not connect to database.")
+@pytest.mark.skip_databases(['gpdb'])
+class TestForeignDataWrapperAdd:
+    def test_foreign_data_wrapper_add(self, request, context_of_tests):
+        """
+        When sending a valid HTTP request to add a foreign data wrapper
+        It returns 200 status
+        """
+
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/foreign_data_wrapper/obj/'
+
+        schema_data = context_of_tests['server_information']
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_id = schema_data['server_id']
+        self.db_id = schema_data['db_id']
+        self.schema_name = schema_data['schema_name']
+        self.db_name = schema_data["db_name"]
+
+        db_con = database_utils.client_connect_database(
+            self.tester,
+            utils.SERVER_GROUP,
+            self.server_id,
+            self.db_id,
+            self.server["db_password"])
+
+        db_con["info"] | should.be.equal.to(
+            "Database connected.",
+            msg='Could not connect to database.')
+
         self.data = fdw_utils.get_fdw_data(self.schema_name,
                                            self.server['username'])
         response = self.tester.post(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' + str(self.db_id) + '/',
             data=json.dumps(self.data),
             content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+
+        assert_json_values_from_response(json_response,
+                                         'foreign_data_wrapper',
+                                         'pgadmin.node.foreign_data_wrapper',
+                                         True,
+                                         'icon-foreign_data_wrapper',
+                                         self.data['name'])
 
     def tearDown(self):
-        """This function delete the FDW and disconnect the test database """
-        fdw_utils.delete_fdw(self.server, self.db_name, self.data["name"])
-        database_utils.disconnect_database(self, self.server_id,
-                                           self.db_id)
+        if hasattr(self, 'data'):
+            fdw_utils.delete_fdw(self.server, self.db_name, self.data["name"])
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_delete.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_delete.py
index 73fa07ed..94e3e29e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_delete.py
@@ -11,56 +11,76 @@ from __future__ import print_function
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression.python_test_utils import test_utils as utils
 from . import utils as fdw_utils
 
 
-class FDWDDeleteTestCase(BaseTestGenerator):
-    """This class will delete foreign data wrappers under test database."""
-    skip_on_database = ['gpdb']
-    scenarios = [  # Fetching default URL for foreign_data_wrapper node.
-        ('Check FDW Node',
-         dict(url='/browser/foreign_data_wrapper/obj/'))]
-
-    def setUp(self):
-        """ This function will create extension and foreign data wrapper."""
-        super(FDWDDeleteTestCase, self).setUp()
-        self.schema_data = parent_node_dict['schema'][-1]
-        self.server_id = self.schema_data['server_id']
-        self.db_id = self.schema_data['db_id']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.schema_name = self.schema_data['schema_name']
+@pytest.mark.skip_databases(['gpdb'])
+class TestForeignDataWrapperDelete:
+    def test_foreign_data_wrapper_delete(self, request, context_of_tests):
+        """
+        When sending a HTTP request to delete a foreign data wrapper
+        It returns 200 status
+        """
+
+        request.addfinalizer(self.tearDown)
+
+        self.server_information = context_of_tests['server_information']
+        self.tester = context_of_tests['test_client']
+        server = context_of_tests['server']
+
+        self.server_id = self.server_information["server_id"]
+
+        url = '/browser/foreign_data_wrapper/obj/'
+
+        schema_data = context_of_tests['server_information']
+        self.server_id = schema_data['server_id']
+        self.db_id = schema_data['db_id']
+        self.db_name = schema_data["db_name"]
+        self.schema_name = schema_data['schema_name']
         self.fdw_name = "fdw_{0}".format(str(uuid.uuid4())[1:8])
-        self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
+        self.fdw_id = fdw_utils.create_fdw(server, self.db_name,
                                            self.fdw_name)
 
-    def runTest(self):
-        """This function will fetch foreign data wrapper present under test
-         database."""
-        db_con = database_utils.connect_database(self,
-                                                 utils.SERVER_GROUP,
-                                                 self.server_id,
-                                                 self.db_id)
-        if not db_con["info"] == "Database connected.":
-            raise Exception("Could not connect to database.")
-        fdw_response = fdw_utils.verify_fdw(self.server, self.db_name,
-                                            self.fdw_name)
-        if not fdw_response:
-            raise Exception("Could not find FDW.")
-        delete_response = self.tester.delete(self.url +
-                                             str(utils.SERVER_GROUP) +
-                                             '/' + str(self.server_id) + '/' +
-                                             str(self.db_id) +
-                                             '/' + str(self.fdw_id),
-                                             follow_redirects=True)
-        self.assertEquals(delete_response.status_code, 200)
+        db_con = database_utils.client_connect_database(
+            self.tester,
+            utils.SERVER_GROUP,
+            self.server_id,
+            self.db_id,
+            server["db_password"])
+
+        db_con["info"] | should.be.equal.to(
+            "Database connected.",
+            msg='Could not connect to database.')
+
+        fdw_utils.verify_fdw(server, self.db_name, self.fdw_name) | \
+            should.not_be.none
+
+        response = self.tester.delete(url +
+                                      str(utils.SERVER_GROUP) +
+                                      '/' + str(self.server_id) + '/' +
+                                      str(self.db_id) +
+                                      '/' + str(self.fdw_id),
+                                      follow_redirects=True)
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+
+        json_response | should.have.key('info') > should.be.equal.to(
+            'Foreign Data Wrapper dropped')
+        json_response | should.have.key('errormsg') > should.be.empty
+        json_response | should.have.key('data')
+        json_response | should.have.key('result') > should.be.none
+        json_response | should.have.key('success') > should.be.equal.to(1)
 
     def tearDown(self):
-        """This function disconnect the test database and drop added extension
-         and dependant objects."""
-        database_utils.disconnect_database(self, self.server_id,
-                                           self.db_id)
+        database_utils.client_disconnect_database(
+            self.tester,
+            self.server_information['server_id'],
+            self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_get.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_get.py
index 80a8ed14..0f3de4e1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_get.py
@@ -11,53 +11,62 @@ from __future__ import print_function
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as fdw_utils
 
 
-class FDWDGetTestCase(BaseTestGenerator):
-    """ This class will add foreign data wrappers under test database. """
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for foreign_data_wrapper node.
-        ('Check FDW Node',
-         dict(url='/browser/foreign_data_wrapper/obj/'))
-    ]
-
-    def setUp(self):
-        """ This function will create extension and foreign data wrapper."""
-        super(FDWDGetTestCase, self).setUp()
-        self.schema_data = parent_node_dict['schema'][-1]
-        self.server_id = self.schema_data['server_id']
-        self.db_id = self.schema_data['db_id']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.schema_name = self.schema_data['schema_name']
+@pytest.mark.skip_databases(['gpdb'])
+class TestForeignDataWrapperGet:
+    def test_foreign_data_wrapper_get(self, request, context_of_tests):
+        """
+        When sending a valid HTTP request to add a foreign data wrapper
+        It returns 200 status
+        """
+
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/foreign_data_wrapper/obj/'
+
+        schema_data = context_of_tests['server_information']
+        self.server = context_of_tests['server']
+        self.server_id = schema_data['server_id']
+        self.db_id = schema_data['db_id']
+        self.db_name = schema_data["db_name"]
+        self.schema_name = schema_data['schema_name']
         self.fdw_name = "fdw_{0}".format(str(uuid.uuid4())[1:8])
-        self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
+        self.fdw_id = fdw_utils.create_fdw(self.server,
+                                           self.db_name,
                                            self.fdw_name)
 
-    def runTest(self):
-        """This function will fetch foreign data wrapper present under test
-         database."""
-        db_con = database_utils.connect_database(self,
-                                                 utils.SERVER_GROUP,
-                                                 self.server_id,
-                                                 self.db_id)
-        if not db_con["info"] == "Database connected.":
-            raise Exception("Could not connect to database.")
+        self.tester = context_of_tests['test_client']
+
+        db_con = database_utils.client_connect_database(
+            self.tester,
+            utils.SERVER_GROUP,
+            self.server_id,
+            self.db_id,
+            self.server['db_password'])
+
+        db_con["info"] | should.be.equal.to(
+            "Database connected.",
+            msg='Could not connect to database.')
+
         response = self.tester.get(
-            self.url + str(utils.SERVER_GROUP) + '/' + str(
+            url + str(utils.SERVER_GROUP) + '/' + str(
                 self.server_id) + '/' +
             str(self.db_id) + '/' + str(self.fdw_id),
             content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.be.equal.to(200)
 
     def tearDown(self):
-        """This function delete the FDW and disconnect the test database """
         fdw_utils.delete_fdw(self.server, self.db_name, self.fdw_name)
-        database_utils.disconnect_database(self, self.server_id,
-                                           self.db_id)
+
+        database_utils.client_disconnect_database(self.tester,
+                                                  self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_put.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_put.py
index cec0264b..0ecbec73 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/test_fdw_put.py
@@ -12,63 +12,69 @@ from __future__ import print_function
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as fdw_utils
 
 
-class FDWDPutTestCase(BaseTestGenerator):
-    """This class will update foreign data wrappers under test database."""
-    skip_on_database = ['gpdb']
-
-    scenarios = [
-        # Fetching default URL for foreign_data_wrapper node.
-        ('Check FDW Node',
-         dict(url='/browser/foreign_data_wrapper/obj/'))
-    ]
-
-    def setUp(self):
-        """ This function will create extension and foreign data wrapper."""
-        super(FDWDPutTestCase, self).setUp()
-        self.schema_data = parent_node_dict['schema'][-1]
-        self.server_id = self.schema_data['server_id']
-        self.db_id = self.schema_data['db_id']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.schema_name = self.schema_data['schema_name']
+@pytest.mark.skip_databases(['gpdb'])
+class TestForeignDataWrapperPut:
+    def test_foreign_data_wrapper_put(self, request, context_of_tests):
+        """
+        When sending a HTTP request to put a foreign data wrapper update
+        It returns 200 status
+        """
+
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/foreign_data_wrapper/obj/'
+
+        schema_data = context_of_tests['server_information']
+        self.server = context_of_tests['server']
+        self.server_id = schema_data['server_id']
+        self.db_id = schema_data['db_id']
+        self.db_name = schema_data["db_name"]
         self.fdw_name = "fdw_put_{0}".format(str(uuid.uuid4())[1:8])
-        self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
-                                           self.fdw_name)
-
-    def runTest(self):
-        """ This function will fetch foreign data wrapper present under
-            test database. """
-        db_con = database_utils.connect_database(self,
-                                                 utils.SERVER_GROUP,
-                                                 self.server_id,
-                                                 self.db_id)
-        if not db_con["info"] == "Database connected.":
-            raise Exception("Could not connect to database.")
-        fdw_response = fdw_utils.verify_fdw(self.server, self.db_name,
-                                            self.fdw_name)
-        if not fdw_response:
-            raise Exception("Could not find FDW.")
+        fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
+                                      self.fdw_name)
+
+        self.tester = context_of_tests['test_client']
+
+        db_con = database_utils.client_connect_database(
+            self.tester,
+            utils.SERVER_GROUP,
+            self.server_id,
+            self.db_id,
+            self.server['db_password'])
+
+        db_con["info"] | should.be.equal.to(
+            "Database connected.",
+            msg='Could not connect to database.')
+
+        fdw_utils.verify_fdw(self.server, self.db_name, self.fdw_name) | \
+            should.not_be.none
+
         data = {
             "description": "This is FDW update comment",
-            "id": self.fdw_id
+            "id": fdw_id
         }
+
         put_response = self.tester.put(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' +
-            str(self.db_id) + '/' + str(self.fdw_id),
+            str(self.db_id) + '/' + str(fdw_id),
             data=json.dumps(data),
             follow_redirects=True)
-        self.assertEquals(put_response.status_code, 200)
+
+        put_response.status_code | should.be.equal.to(200)
 
     def tearDown(self):
-        """This function delete the FDW and disconnect the test database """
         fdw_utils.delete_fdw(self.server, self.db_name, self.fdw_name)
-        database_utils.disconnect_database(self, self.server_id,
-                                           self.db_id)
+        database_utils.client_disconnect_database(
+            self.tester,
+            self.server_id,
+            self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/__init__.py
index b059d414..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/__init__.py
@@ -6,11 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class LanguageTestGenerator(BaseTestGenerator):
-
-    def runTest(self):
-        return []
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_add.py b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_add.py
index 8fd6779d..b22130e1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_add.py
@@ -12,26 +12,36 @@ from __future__ import print_function
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as language_utils
 
 
-class LanguagesAddTestCase(BaseTestGenerator):
-    skip_on_database = ['gpdb']
-    scenarios = [
-        ('Language add test case', dict(url='/browser/language/obj/'))
-    ]
+@pytest.mark.skip_databases(['gpdb'])
+class TestLanguagesAdd:
+    def test_language_add(self, request, context_of_tests):
+        """
+        When the language add request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/language/obj/'
 
-    def setUp(self):
-        super(LanguagesAddTestCase, self).setUp()
-        self.server_data = parent_node_dict["database"][-1]
-        self.server_id = self.server_data["server_id"]
+        self.server_data = parent_node_dict['database'][-1]
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_id = self.server_data['server_id']
         self.db_id = self.server_data['db_id']
-        self.db_name = self.server_data["db_name"]
+        schema_data = context_of_tests['server_information']
+        self.db_name = schema_data["db_name"]
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
                                                  self.server_id,
@@ -39,11 +49,7 @@ class LanguagesAddTestCase(BaseTestGenerator):
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database.")
 
-    def runTest(self):
-        """This function will add language under test database."""
-
         db_user = self.server['username']
-
         self.data = {
             "lanacl": [],
             "laninl": "btint2sortsupport",
@@ -65,18 +71,25 @@ class LanguagesAddTestCase(BaseTestGenerator):
         }
 
         response = self.tester.post(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' + str(self.db_id) + '/',
             data=json.dumps(self.data),
             content_type='html/json')
 
-        self.assertEquals(response.status_code, 200)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'language',
+            'pgadmin.node.language',
+            False,
+            'icon-language',
+            self.data['name']
+        )
 
     def tearDown(self):
-        """This function delete added language and
-        disconnect the test database."""
-
         language_utils.delete_language(
             self.server, self.db_name, self.data['name']
         )
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_delete.py b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_delete.py
index 6ac24d62..5753bd42 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_delete.py
@@ -11,24 +11,34 @@ from __future__ import print_function
 
 import uuid
 
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as language_utils
 
 
-class LanguagesDeleteTestCase(BaseTestGenerator):
-    scenarios = [
-        ('Language delete test case', dict(url='/browser/language/obj/'))
-    ]
+class TestLanguagesDelete:
+    def test_language_delete(self, request, context_of_tests):
+        """
+        When the language delete request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/language/obj/'
 
-    def setUp(self):
-        self.server_data = parent_node_dict["database"][-1]
-        self.server_id = self.server_data["server_id"]
+        self.server_data = parent_node_dict['database'][-1]
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_id = self.server_data['server_id']
         self.db_id = self.server_data['db_id']
-        self.db_name = self.server_data["db_name"]
+        self.db_name = self.server_data['db_name']
         self.lang_name = "language_%s" % str(uuid.uuid4())[1:8]
 
         db_con = database_utils.connect_database(self,
@@ -37,19 +47,24 @@ class LanguagesDeleteTestCase(BaseTestGenerator):
                                                  self.db_id)
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database.")
+
         self.language_id = language_utils.create_language(self.server,
                                                           self.db_name,
                                                           self.lang_name)
 
-    def runTest(self):
-        """This function will delete language under test database."""
-
         response = self.tester.delete("{0}{1}/{2}/{3}/{4}".format(
-            self.url, utils.SERVER_GROUP, self.server_id, self.db_id,
+            url, utils.SERVER_GROUP, self.server_id, self.db_id,
             self.language_id), follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
 
-    def tearDown(self):
-        """This function disconnect the test database."""
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('info') > should.be.equal.to(
+            'Language dropped')
+        json_response | should.have.key('errormsg') > should.be.empty
+        json_response | should.have.key('data')
+        json_response | should.have.key('result') > should.be.none
+        json_response | should.have.key('success') > should.be.equal.to(1)
 
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+    def tearDown(self):
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
